<header class="w-full bg-blue-600 h-12 fixed z-10">
  <!-- <div>
    <button
    type="button"
    class="
            inline-block
            px-8
            py-2
            bg-blue-600
            text-white
            font-medium
            text-sm
            leading-snug
            uppercase
            rounded
            hover:bg-blue-700
            hover:shadow-lg
            focus:bg-blue-700
            focus:shadow-lg
            focus:outline-none
            focus:ring-0
            active:bg-blue-800
            active:shadow-lg
            transition
            duration-150
            ease-in-out"
            (click)="hide = !hide"
            >
            <mat-icon>dehaze</mat-icon>
      </button>
   </div> -->
   <nav class="navbar navbar-expand-lg shadow-md py-2 bg-blue-600 relative flex items-center w-full justify-between">
    <div class="px-6 w-full flex flex-wrap items-center justify-start">
      <div class="flex items-center">
        <button
            type="button"
            class="
                inline-block
                px-8
                py-2
                bg-blue-600
                text-white
                font-medium
                text-sm
                leading-snug
                uppercase
                rounded
                hover:bg-blue-700
                hover:shadow-lg
                focus:bg-blue-700
                focus:shadow-lg
                focus:outline-none
                focus:ring-0
                active:bg-blue-800
                active:shadow-lg
                transition
                duration-150
                ease-in-out"
                (click)="hide = !hide"
                >
                <mat-icon>dehaze</mat-icon>
          </button>
      </div>
      <a href="https://flowbite.com/" class="flex items-center px-8 py-2">
        <img src="https://flowbite.com/docs/images/logo.svg" class="mr-3 h-6 sm:h-7" alt="Flowbite Logo" />
        <span class="self-center text-xl font-semibold whitespace-nowrap dark:text-white">Flowbite</span>
     </a>
      <div class=" ml-[40rem]" id="navbarSupportedContentY">
        <div class="flex ">
          <div class="text-right justify-end leading-3 mt-0">
              <h2 class="text-white text-lg">Tomi Kristanto</h2>
              <small class="text-white">Admin</small>
          </div>
          <img src="assets/img/makmur3.jpg" class=" mt-1 w-9 rounded-full object-contain ml-2 border-white border-solid border-2" alt="">
        </div>
      </div>
    </div>
  </nav>
  <!-- Navbar -->
</header>

<aside class="w-64 h-full fixed duration-300 flex" [ngClass]="{'w-16':hide==true}" aria-label="Sidebar">
  <div class="overflow-y-auto py-4 px-3 h-full  bg-sky-900">
     <a href="https://flowbite.com/" class="flex items-center mt-16 pl-2.5 mb-5">
        <img src="https://flowbite.com/docs/images/logo.svg" class="mr-3 h-6 sm:h-7" [ngClass]="{'fixed':hide==true}" alt="Flowbite Logo"/>
        <span class="self-center text-xl font-semibold whitespace-nowrap dark:text-white" [ngClass]="{'invisible':hide==true}">Flowbite</span>
     </a>
     <ul class="space-y-2 mb-56">
        <li [routerLinkActive]="['active']">
           <a routerLink="beranda" class="flex items-center p-2 text-base font-normal  rounded-lg text-white hover:bg-blue-600 ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">home</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Beranda</h1>
           </a>
        </li>
        <li>
           <a href="jadwal" class="flex items-center p-2 text-base font-normal  rounded-lg text-white hover:bg-blue-600 ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">calendar_today</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Jadwal</h1>
           </a>
        </li>
        <li>
           <a href="pengerjaan" class="flex items-center p-2 text-base font-normal text-gray-900 rounded-lg dark:text-white hover:bg-blue-600 ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">list</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Pengerjaan</h1>
           </a>
        </li>
        <li>
           <a href="#" class="flex items-center p-2 text-base font-normal text-gray-900 rounded-lg dark:text-white hover:bg-blue-600 ">
              <mat-icon class="cursor-pointer block float-left" [ngClass]="{'fixed':hide==true}">settings</mat-icon>
              <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Pengaturan</h1>
           </a>
        </li>
     </ul>
     <div class="pl-2.5 text-white hover:bg-blue-600 flex items-center text-base rounded-lg">
      <mat-icon class="cursor-pointer block float-left mr-2" [ngClass]="{'fixed':hide==true}">power_settings_new</mat-icon>
      <h1 class="ml-3  " [ngClass]="{'invisible':hide==true}">Logout</h1>
    </div>
  </div>
      <button (click)="hide = !hide" class="overflow-y-auto w-4 py-4  h-full mt-10 bg-sky-900">
        <mat-icon  class="text-white text-lg m-auto"></mat-icon>
      </button>
</aside>


